org.apache.cassandra.cql3

## Class Json.Prepared

- java.lang.Object
- - org.apache.cassandra.cql3.Json.Prepared

Enclosing class:
  Json

    public abstract static class Json.Prepared
    extends java.lang.Object

A prepared, full set of JSON values.

### Constructor Summary

Constructors
`protected` `Prepared(java.lang.String keyspace)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Term` `getPrimaryKeyValueForColumn(ColumnDefinition def)`
`protected abstract Term.Raw` `getRawTermForColumn(ColumnDefinition def)`
`Operation` `getSetOperationForColumn(ColumnDefinition def)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Prepared

    protected Prepared(java.lang.String keyspace)

### Method Detail

#### getRawTermForColumn

    protected abstract Term.Raw getRawTermForColumn(ColumnDefinition def)

#### getPrimaryKeyValueForColumn

    public Term getPrimaryKeyValueForColumn(ColumnDefinition def)

#### getSetOperationForColumn

    public Operation getSetOperationForColumn(ColumnDefinition def)